guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Jumper <mike.jum...@guac-dev.org>
Subject Re: 9.11 testing
Date Tue, 17 Jan 2017 21:03:35 GMT
Looks like we'll need to change the schema somehow such that it's
compatible... The ability to specify CURRENT_TIMESTAMP as the default value
for a DATETIME column was apparently a new feature in MySQL 5.6.5, with
such columns being much more restricted in previous versions:

http://dev.mysql.com/doc/refman/5.6/en/timestamp-initialization.html


On Tue, Jan 17, 2017 at 12:19 PM, Hawkins, Richard <
richard.hawkins@medctrbarbour.org> wrote:

> [root@guac ~]# mysql -u root -p
> Enter password:
> Welcome to the MariaDB monitor.  Commands end with ; or \g.
> Your MariaDB connection id is 3
> Server version: 5.5.50-MariaDB MariaDB Server
>
>
>
>
> -----Original Message-----
> From: Mike Jumper [mailto:mike.jumper@guac-dev.org]
> Sent: Tue 1/17/2017 9:38 AM
> To: user@guacamole.incubator.apache.org
> Subject: RE: 9.11 testing
>
> What version of MySQL / MariaDB are you using?
>
>
> On Jan 17, 2017 05:43, "Hawkins, Richard" <richard.hawkins@
> medctrbarbour.org>
> wrote:
>
> > Looks like the same script to me..
> >
> > When I run the sql to update...  Her I ran as guacadmin and root..
> >
> > [root@guac upgrade]# mysql -u guacadmin -p guac_db <
> > upgrade-pre-0.9.11.sql
> > Enter password:
> > ERROR 1067 (42000) at line 24: Invalid default value for 'password_date'
> > [root@guac upgrade]# mysql -u root -p guac_db < upgrade-pre-0.9.11.sql
> > Enter password:
> > ERROR 1067 (42000) at line 24: Invalid default value for 'password_date'
> >
> > When I try to access the site..   /var/log/messages displays this..
> >
> > Jan 17 07:27:14 guac server: 07:27:14.448 [http-bio-8080-exec-9] ERROR
> > o.a.g.rest.RESTExceptionWrapper - Unexpected internal error:
> > Jan 17 07:27:14 guac server: ### Error querying database.  Cause:
> > com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: Unknown
> column
> > 'password_date' in 'field list'
> > Jan 17 07:27:14 guac server: ### The error may exist in
> > org/apache/guacamole/auth/jdbc/user/UserMapper.xml
> > Jan 17 07:27:14 guac server: ### The error may involve
> defaultParameterMap
> > Jan 17 07:27:14 guac server: ### The error occurred while setting
> > parameters
> > Jan 17 07:27:14 guac server: ### SQL: SELECT
> > user_id,             username,             password_hash,
> > password_salt,             password_date,             disabled,
> > expired,             access_window_start,
> > access_window_end,             valid_from,
> > valid_until,             timezone         FROM guacamole_user
> > WHERE             username = ?
> > Jan 17 07:27:14 guac server: ### Cause: com.mysql.jdbc.exceptions.jdbc4.
> MySQLSyntaxErrorException:
> > Unknown column 'password_date' in 'field list'
> > Jan 17 07:27:14 guac server: Jan 17, 2017 7:27:14 AM
> > com.sun.jersey.spi.container.ContainerResponse logException
> > Jan 17 07:27:14 guac server: SEVERE: Mapped exception to response: 500
> > (Internal Server Error)
> > Jan 17 07:27:14 guac server: org.apache.guacamole.rest.APIException
> >
> > Thanks..
> >
> >
> >
> >
> >
> > -----Original Message-----
> > From: Mike Jumper [mailto:mike.jumper@guac-dev.org
> > <mike.jumper@guac-dev.org>]
> > Sent: Sun 1/15/2017 11:47 PM
> > To: user@guacamole.incubator.apache.org
> > Subject: Re: 9.11 testing
> >
> > On Sun, Jan 15, 2017 at 5:40 AM, Hawkins, Richard
> > <richard.hawkins@medctrbarbour.org> wrote:
> > >
> > > I have been playing around with the latest code.  9.11
> > >
> >
> > 0.9.11*
> >
> > > I have everything compiled and starting but I am just getting a blank
> > > screen.
> > >
> > > The last time I saw this I needed to update the sql database using the
> > > "upgrade-pre-0.9.10.sql"  file
> > >
> >
> > Very plausible. Checking the Tomcat logs should yield some information
> > supporting this, too.
> >
> > > So this time I use the "upgrade-pre-0.9.11.sql"  using the normal
> > > command..   mysql -u admin -p guac_db < upgrade-pre-0.9.11.sql
> > >
> > > But it always comes back..   ERROR 067 (42000) at line 80:  Invalid
> > > default value for 'password_date'
> > >
> >
> > Odd ... There isn't a line 80. That script is 49 lines at the moment:
> >
> > https://github.com/apache/incubator-guacamole-client/blob/
> > 72199577634f387cfa809a0c6544aa2c108abf9d/extensions/
> > guacamole-auth-jdbc/modules/guacamole-auth-jdbc-mysql/
> > schema/upgrade/upgrade-pre-0.9.11.sql
> >
> > Does the script you're using differ from the above?
> >
> > - Mike
> >
> >
>
>

Mime
View raw message